<template>
  <div class="container">
    <h1 class="fs-3 fl-4">Profile</h1>

    <div class="fl-5" v-html="contents ['subtext']"></div>

    <p class="fl-5" >
      <div class="mt-8">
        <profile-form ref="profileForm"></profile-form>

        <div class="col-md-9 col-lg-7 col-xxl-6 actions">
          <button class="mr-4 btn btn-primary" type="button" @click="updateProfile" :disabled="state.$waiting">
            <span v-if="state.$waiting" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span> Update</button>
          <button class="btn btn-secondary" type="button" @click="cancel">Cancel</button>
        </div>
      </div>

      <div class="mt-16" v-if="state.$grp.indexOf ('guest') > -1">
        <h5>Resend Verification Email</h5>
        To resend a verification email,
        <router-link class="btn btn-info" to="/members/resend-email">Resend Verification Email</router-link>
      </div>

    </p>
  </div>
</template>







<script setup>
import ProfileForm from "./components/profile-form.vue"

const router = useRouter ()
const { state } = useStore ()
const profileForm = ref (null)
const contents = ref ({})

function cancel () {
  router.back ()
}

async function updateProfile () {
  const succees = await profileForm.value.updateProfile ()
  if (succees) {
    bootstrap.toast ({title: "Success", text: "Your profile has been successfully updated."})
  }
}

onBeforeMount (async () => {
  contents.value = await frontend.fetch_contents ()
})

onActivated (() => {
  frontend.set_title ()
})

</script>



<script>
export default {
  beforeRouteEnter (to, from, next) {
    frontend.permission.required (['user'], {path: '/members/signin'}, {to, from, next})
  }
}
</script>
